Bug 1124864 - [RFE] rhc x509 support to use pkcs12 files
Summary: [RFE] rhc x509 support to use pkcs12 files
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: RFE
Version: 2.1.0
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
: ---
Assignee: Mike Barrett
QA Contact:
URL:
Whiteboard:
Depends On: 1089703
Blocks: 1096391
TreeView+ depends on / blocked
 
Reported: 2014-07-30 13:40 UTC by Eric Rich
Modified: 2018-12-06 17:32 UTC (History)
9 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of: 1089703
Environment:
Last Closed: 2016-01-27 19:05:18 UTC


Attachments (Terms of Use)

Comment 5 Ken Evensen 2014-09-02 11:38:45 UTC
If at all possible, this should not replace the current manner in which client certificates, keys, and CA certificates are presented to the RHC tool.

The user should have an option to either:
1.) Supply the PKCS12 cert and CA cert
2.) Supply the client cert, key, and CA cert as is currently supported


Note You need to log in before you can comment on or make changes to this bug.